summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2011-02-07 16:50:42 +0000
committerNirbheek Chauhan <nirbheek@gentoo.org>2011-02-07 16:50:42 +0000
commit08de2d57d9fa13e34076a122bf1ee0d028b4db14 (patch)
treeb14eb64276c8fd2ebbefb7aeb94b1ed2860eff71 /eclass
parentFix this even more. Sorry about the fourth commit on the same matter. (diff)
downloadhistorical-08de2d57d9fa13e34076a122bf1ee0d028b4db14.tar.gz
historical-08de2d57d9fa13e34076a122bf1ee0d028b4db14.tar.bz2
historical-08de2d57d9fa13e34076a122bf1ee0d028b4db14.zip
Add a variable to remove all .la files if requested
Diffstat (limited to 'eclass')
-rw-r--r--eclass/clutter.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/clutter.eclass b/eclass/clutter.eclass
index 9c2050d53a1d..04e9ff9a3cc5 100644
--- a/eclass/clutter.eclass
+++ b/eclass/clutter.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/clutter.eclass,v 1.2 2010/06/26 01:26:39 nirbheek Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/clutter.eclass,v 1.3 2011/02/07 16:50:42 nirbheek Exp $
#
# @ECLASS: clutter.eclass
@@ -25,6 +25,12 @@ LICENSE="${LICENSE:-LGPL-2.1}"
# This will be used by all clutter packages
DEPEND="dev-util/pkgconfig"
+# @ECLASS-VARIABLE: CLUTTER_LA_PUNT
+# @DESCRIPTION:
+# Set to anything except 'no' to remove *all* .la files before installing.
+# Not to be used without due consideration, sometimes .la files *are* needed.
+CLUTTER_LA_PUNT="${CLUTTER_LA_PUNT:-"no"}"
+
# @ECLASS-VARIABLE: DOCS
# @DESCRIPTION:
# This variable holds relative paths of files to be dodoc-ed.
@@ -59,6 +65,11 @@ clutter_src_install() {
fi
done
fi
+
+ # Delete all .la files
+ if [[ "${CLUTTER_LA_PUNT}" != "no" ]]; then
+ find "${D}" -name '*.la' -exec rm -f '{}' + || die
+ fi
}
EXPORT_FUNCTIONS src_install